### Method

# FwupdPlugin DeviceEvent get_i64

#### Declaration [src]

    gint64
    fu_device_event_get_i64 (
      FuDeviceEvent* self,
      const gchar* key,
      GError** error
    )

#### Description [src]

Gets an integer value from the event.

Available since: | 2.0.0

#### Parameters

`key` | `const gchar*`
| A unique key, e.g. `Name`
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gint64`
| Integer, or `G_MAXINT64` on error.